import { CacheOptions } from "./fd-cache-options";
/** @monorepo-internal */
export declare function redisQuit(): Promise<void>;
/** @monorepo-internal */
export declare function setRemoteCache<T>(key: string, value: T, fdCacheOptions?: CacheOptions): Promise<void>;
/** @monorepo-internal */
export declare function tryGetFromRemoteCache<T>(key: string): Promise<any>;
export declare function removeFromRemoteCache(key: string): Promise<void>;
export declare function remoteCacheHasKey(key: string): Promise<boolean>;
/** @monorepo-internal */
export declare function clearPermissionRemoteCache(targetPartials: string[]): Promise<void>;
/** @monorepo-internal */
export declare function flushRemoteCache(): Promise<void>;
